#
# File:		makefile.dos
# Author:	Julian Smart
# Created:	1993
# Updated:	
# Copyright:	(c) 1993, AIAI, University of Edinburgh
#
# "%W% %G%"
#
# Makefile : Builds ddesend example (DOS).
# Use FINAL=1 argument to nmake to build final version with no debugging
# info

LIBS=oldnames libw llibcew commdlg shell ddeml

!ifndef FINAL
FINAL=0
!endif

INC=/I$(WXDIR)\include\msw /I$(WXDIR)\include\base

# Set this to nothing if using MS C++ 7
# ZOPTION=/Z7

!if "$(FINAL)" == "0"
CPPFLAGS=/AL /W3 /Zi $(ZOPTION) /G2sw /Od
LINKFLAGS=/NOD /CO /ONERROR:NOEXE
!else
CPPFLAGS=/AL /W3 /G2sw /Ox
LINKFLAGS=/NOD /ONERROR:NOEXE
!endif

HEADERS =
SOURCES = ddesend.cc
OBJECTS = ddesend.obj

all:    ddesend.exe

ddesend.exe:      ddesend.obj ddesend.def ddesend.res
        link $(LINKFLAGS) @<<
ddesend.obj,
ddesend,
NUL,
$(LIBS),
ddesend.def
;
<<
        rc -K ddesend.res

ddesend.obj:      ddesend.cc
        cl @<<
$(CPPFLAGS) /c /Tp $*.cc
<<

ddesend.res :      ddesend.rc
    rc -r ddesend

clean:
        -erase *.obj *.exe *.res *.map *.rws

